## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name python_vlc

Name:           python-vlc
Version:        3.0.21203
Release:        %autorelease
Summary:        VLC Media Player binding for Python

License:        LGPL-2.0-or-later
URL:            https://wiki.videolan.org/PythonBinding
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
This package provides a python interface to control VLC Media Player.

%package -n python3-vlc
Summary:        VLC Media Player binding for Python
Requires:       vlc-cli >= 1.1.0
%{?python_provide:%python_provide python3-vlc}

%description -n python3-vlc
This package provides a python interface to control VLC Media Player.

%prep
%autosetup -n %{pypi_name}-%{version}

#fix rpmlint
%{py3_shebang_fix} vlc.py examples/*.py
# Move README.md
mv examples/video_sync/README.md .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l vlc

#fix rpmlint
chmod +x %{buildroot}%{python3_sitelib}/vlc.py

%files -n python3-vlc -f %{pyproject_files}
%doc README.module README.md examples/
%license COPYING

%changelog
## START: Generated by rpmautospec
* Sun May 11 2025 Leigh Scott <leigh123linux@gmail.com> - 3.0.21203-1
- Update to 3.0.21203

* Tue Jan 28 2025 Sérgio M. Basto <sergio@serjux.com> - 3.0.20123-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Aug 02 2024 Sérgio M. Basto <sergio@serjux.com> - 3.0.20123-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 13 2024 Leigh Scott <leigh123linux@gmail.com> - 3.0.20123-3
- Rebuilt for Python 3.13

* Sun Feb 04 2024 Sérgio M. Basto <sergio@serjux.com> - 3.0.20123-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 14 2023 Leigh Scott <leigh123linux@gmail.com> - 3.0.20123-1
- Update to 3.0.20123

* Wed Aug 02 2023 Sérgio M. Basto <sergio@serjux.com> - 3.0.18122-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 08 2023 Leigh Scott <leigh123linux@gmail.com> - 3.0.18122-5
- Use new shebang macro

* Sat Jul 08 2023 Leigh Scott <leigh123linux@gmail.com> - 3.0.18122-4
- fix

* Sat Jul 08 2023 Leigh Scott <leigh123linux@gmail.com> - 3.0.18122-3
- fix

* Sat Jul 08 2023 Leigh Scott <leigh123linux@gmail.com> - 3.0.18122-2
- Rebuilt for Python 3.12

* Sat Apr 22 2023 Leigh Scott <leigh123linux@gmail.com> - 3.0.18122-1
- Update to 3.0.18122

* Wed Nov 16 2022 Leigh Scott <leigh123linux@gmail.com> - 3.0.18121-1
- Update to 3.0.18121

* Sun Aug 07 2022 Sérgio M. Basto <sergio@serjux.com> - 3.0.16120-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and
  ffmpeg 5.1

* Sat Jun 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.16120-2
- Rebuilt for Python 3.11

* Tue Apr 12 2022 Leigh Scott <leigh123linux@gmail.com> - 3.0.16120-1
- Update to 3.0.16120

* Wed Feb 09 2022 Sérgio M. Basto <sergio@serjux.com> - 3.0.11115-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 03 2021 Leigh Scott <leigh123linux@gmail.com> - 3.0.11115-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Leigh Scott <leigh123linux@gmail.com> - 3.0.11115-5
- Rebuild for python-3.10

* Wed Feb 03 2021 Leigh Scott <leigh123linux@gmail.com> - 3.0.11115-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 18 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.11115-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.11115-2
- fix

* Wed Jul 29 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.11115-1
- Update to 3.0.11115

* Mon Jun 15 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.10114-1
- Update to 3.0.10114

* Thu Jun 11 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.9113-1
- Update to 3.0.9113

* Sat May 30 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.8112-2
- Rebuild for python-3.9

* Wed Mar 11 2020 Leigh Scott <leigh123linux@gmail.com> - 3.0.8112-1
- Update to 3.0.8112 and Drop python2 sub package

* Wed Feb 05 2020 leigh123linux <leigh123linux@googlemail.com> - 3.0.6109-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 24 2019 Leigh Scott <leigh123linux@gmail.com> - 3.0.6109-4
- Rebuild for python-3.8

* Fri Aug 09 2019 Leigh Scott <leigh123linux@gmail.com> - 3.0.6109-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 08 2019 Leigh Scott <leigh123linux@gmail.com> - 3.0.6109-2
- Remove shebang so python2-vlc doesn't require python3

* Wed May 08 2019 Leigh Scott <leigh123linux@gmail.com> - 3.0.6109-1
- Update to 3.0.6109

* Wed May 08 2019 Leigh Scott <leigh123linux@gmail.com> - 1.1.2-11
- Fix update script

* Mon Mar 04 2019 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-10
- Fix shebang on examples

* Mon Mar 04 2019 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Miro Hrončok <miro@hroncok.cz> - 1.1.2-7
- Rebuilt for Python 3.7

* Thu Mar 01 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 31 2017 Nicolas Chauvet <kwizart@gmail.com> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Mar 20 2017 Nicolas Chauvet <kwizart@gmail.com> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Oct 04 2016 Orcan Ogetbil <orcan@localhost.localdomain> - 1.1.2-3
- Skip Python 3 tests

* Tue Oct 04 2016 Orcan Ogetbil <orcan@localhost.localdomain> - 1.1.2-2
- Created separate python2 and 3 subpackages

* Sat Oct 01 2016 Sérgio M. Basto <sergio@serjux.com> - 1.1.2-1
- Add git tag to version.
- Update to 1.1.2-20161001git5d389c7
- Update python snippets.

* Mon Aug 01 2016 Sérgio M. Basto <sergio@serjux.com> - 1.1.0-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Sat Nov 15 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.1.0-10
- Update to today's snapshot

* Sun Aug 31 2014 Sérgio M. Basto <sergio@serjux.com> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Mar 03 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.1.0-8
- * Sun Mar 03 2013 Nicolas Chauvet <kwizart@gmail.com> -
  1.1.0-6.20120503git - Mass rebuilt for Fedora 19 Features

* Fri May 04 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.1.0-7
- Update python-vlc

* Mon Dec 26 2011 Orcan Ogetbil <orcanbahri@yahoo.com> - 1.1.0-6
- * Sun Dec 25 2011 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com>
  1.1.0-4.20111225git - Latest git snapshot.

* Sat Dec 17 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.1.0-5
- Rebuilt

* Wed Aug 25 2010 Orcan Ogetbil <orcanbahri@yahoo.com> - 1.1.0-4
- fix date on the latest changelog entry

* Wed Aug 25 2010 Orcan Ogetbil <orcanbahri@yahoo.com> - 1.1.0-3
- * Wed Aug 15 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com>
  1.1.0-2.20100825git - Latest git snapshot. - Build against python-2.7 on
  F-14

* Tue Jul 06 2010 Orcan Ogetbil <orcanbahri@yahoo.com> - 1.1.0-2
- * Tue Jul 06 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com>
  1.1.0-1.20100706git - 1.1.0 final updates

* Tue May 11 2010 Orcan Ogetbil <orcanbahri@yahoo.com> - 1.1.0-1
- * Tue May 11 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com>
  1.1.0-0.1.20100511git - Update to 1.1.0 (git checkout)

* Mon Jun 22 2009 Orcan Ogetbil <orcanbahri@yahoo.com> - 1.0.0-1
- * Fri Jun 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com>
  1.0.0-0.2.90 - Remove COPYING file
## END: Generated by rpmautospec
